//******************************************************************************
//  LaunchPad Lab2 - Software Toggle P1.0,
//
//                MSP430G2xx2
//             -----------------
//         /|\|              XIN|-
//          | |                 |
//          --|RST          XOUT|-
//            |                 |
//            |             P1.0|-->LED
//
//******************************************************************************

#include  <msp430g2452.h>

void main(void)
{
	WDTCTL = WDTPW + WDTHOLD;                 // Stop watchdog timer

	if (CALBC1_1MHZ == 0xFF || CALDCO_1MHZ == 0xFF)
	{
		while(1);						// If calibration constants erased, trap CPU!!
	}

	// Configure Basic Clock
	BCSCTL1 = ____________; 				// Set range
	DCOCTL = _____________;				// Set DCO step + modulation
	BCSCTL3 |= LFXT1S_2;				// Set LFXT1

	P1DIR = BIT6; 						// P1.6 output (green LED)
	P1OUT = 0;    						// LED off

	IFG1 &= ~OFIFG;        				// Clear OSCFault flag
	BCSCTL2 |= ________ + DIVM_3; 		// Set MCLK

	for(;;)
	{
		P1OUT = BIT6; 			    	// P1.6 on (green LED)
		_delay_cycles(100);
		P1OUT = 0; 		               	// green LED off
		_delay_cycles(5000);
	}
}
