//******************************************************************************
//  LaunchPad Lab3 - Software Port Interrupt Service
//
//               MSP430G2xx2
//            -----------------
//        /|\|              XIN|-
//         | |                 |
//         --|RST          XOUT|-
//     /|\   |                 |
//      --o--|P1.3         P1.0|-->LED
//     \|/
//

//******************************************************************************

#include  <msp430g2452.h>

void main(void)
{
	WDTCTL = WDTPW + WDTHOLD;                 // Stop watchdog timer
	P1DIR |= BIT0;                            // Set P1.0 to output direction
	P1OUT |= BIT3;							  // P1.3 Pull up
	P1REN |= BIT3;
	P1IES |= BIT3;                            // P1.3 Hi/lo edge
	______ &= ~BIT3;                           // P1.3 IFG cleared
	______ |= BIT3;                             // P1.3 interrupt enabled

	while(1);
}

// Port 1 interrupt service routine
#pragma vector=_____________
__interrupt void Port_1(void)
{
	if (P1IFG & BIT3)
	{
		P1OUT ^= BIT0;                         // P1.0 = toggle
		______ &= ~BIT3;                        // P1.3 IFG cleared
	}
}

